Create project preview
Create a preview project
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes |
Request body
{
"warehouseConnectionOverrides": {
"schema": "string"
},
"dbtConnectionOverrides": {
"manifest": "string",
"environment": [
{
"value": "string",
"key": "string"
}
],
"branch": "string"
},
"copyContent": true,
"name": "string"
}Responses
200 — Created
{
"results": {
"compileJobUuid": "string",
"projectUuid": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}